net.corda.flows

## Class TwoPartyTradeFlow.Seller

- FlowLogic
- - net.corda.flows.TwoPartyTradeFlow.Seller

- Enclosing class:
    TwoPartyTradeFlow

      public static class TwoPartyTradeFlow.Seller
      extends FlowLogic

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Seller.Companion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Seller.Companion` | `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Seller(Party otherParty, NodeInfo notaryNode, StateAndRef<? extends net.corda.core.contracts.OwnableState> assetToSell, Amount<java.util.Currency> price, java.security.KeyPair myKeyPair, ProgressTracker progressTracker)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DigitalSignature.WithKey` | `calculateOurSignature(SignedTransaction partialTX)`
    `SignedTransaction` | `call()` This is where you fill out your business logic. The returned object will usually be ignored, but can be helpful if this flow is meant to be used as a subflow.
    `StateAndRef<net.corda.core.contracts.OwnableState>` | `getAssetToSell()`
    `java.security.KeyPair` | `getMyKeyPair()`
    `NodeInfo` | `getNotaryNode()`
    `Party` | `getOtherParty()`
    `Amount<java.util.Currency>` | `getPrice()`
    `ProgressTracker` | `getProgressTracker()` Override this to provide a `class ProgressTracker`. If one is provided and stepped, the framework will do something helpful with the progress reports. If this flow is invoked as a subflow of another, then the tracker will be made a child of the current step in the parent. If it's null, this flow doesn't track progress.

    - ### Methods inherited from class net.corda.core.flows.FlowLogic

      `call, getCounterpartyMarker, getLogger, getProgressTracker, getRunId, getServiceHub, getStateMachine, receive, send, sendAndReceive, setStateMachine, subFlow, subFlow, track, waitForLedgerCommit`

- - ### Field Detail

    - #### Companion

          public static Seller.Companion Companion

  - ### Constructor Detail

    - #### Seller

          public Seller(Party otherParty,
                        NodeInfo notaryNode,
                        StateAndRef<? extends net.corda.core.contracts.OwnableState> assetToSell,
                        Amount<java.util.Currency> price,
                        java.security.KeyPair myKeyPair,
                        ProgressTracker progressTracker)

      Parameters:
        `progressTracker` -

        Override this to provide a `class ProgressTracker`. If one is provided and stepped, the framework will do something helpful with the progress reports. If this flow is invoked as a subflow of another, then the tracker will be made a child of the current step in the parent. If it's null, this flow doesn't track progress.

        Note that this has to return a tracker before the flow is invoked. You can't change your mind half way through.

  - ### Method Detail

    - #### call

          public SignedTransaction call()

      This is where you fill out your business logic. The returned object will usually be ignored, but can be helpful if this flow is meant to be used as a subflow.

    - #### calculateOurSignature

          public DigitalSignature.WithKey calculateOurSignature(SignedTransaction partialTX)

    - #### getOtherParty

          public Party getOtherParty()

    - #### getNotaryNode

          public NodeInfo getNotaryNode()

    - #### getAssetToSell

          public StateAndRef<net.corda.core.contracts.OwnableState> getAssetToSell()

    - #### getPrice

          public Amount<java.util.Currency> getPrice()

    - #### getMyKeyPair

          public java.security.KeyPair getMyKeyPair()

    - #### getProgressTracker

          public ProgressTracker getProgressTracker()

      Override this to provide a `class ProgressTracker`. If one is provided and stepped, the framework will do something helpful with the progress reports. If this flow is invoked as a subflow of another, then the tracker will be made a child of the current step in the parent. If it's null, this flow doesn't track progress.

      Note that this has to return a tracker before the flow is invoked. You can't change your mind half way through.

      See Also:
        `class ProgressTracker`